Bug 95928 - print preview upside down in case of Visio object
Summary: print preview upside down in case of Visio object
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:visio
Depends on:
Blocks: OLE-Objects Print-Preview Visio
  Show dependency treegraph
 
Reported: 2015-11-19 11:10 UTC by Winfried Donkers
Modified: 2021-08-27 04:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Writer document with embedded Visio object (125.67 KB, application/vnd.oasis.opendocument.text)
2015-11-19 11:10 UTC, Winfried Donkers
Details
screenprint showing problem (105.91 KB, image/gif)
2017-01-04 09:23 UTC, Winfried Donkers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers 2015-11-19 11:10:20 UTC
Created attachment 120657 [details]
Writer document with embedded Visio object

When a writer documents contains a MS Visio object and the Visio drawing has a pasted image, the pasted image in the Visio object is shown upside down in the print preview.
It is printed correctly.

Uploaded attachment that shows te problem.

Steps to reproduce:
-open the document
-open print dialog (Ctrl-P, toolbutton or menu selection)
-compare preview pane with document

Reproduced with versions
4.1.6.2 (openSUSE 13.1)
4.4.6.3 (Windows 7)
5.1     (openSUSE 13.1)
Comment 1 raal 2015-11-19 12:59:14 UTC
I can confirm with Version: 5.1.0.0.alpha1+
Build ID: 8bde421ccec9c10fe1382ad68485852889dd4c74, win7
Comment 2 QA Administrators 2017-01-03 19:35:03 UTC Comment hidden (obsolete)
Comment 3 Winfried Donkers 2017-01-04 09:23:50 UTC
Created attachment 130142 [details]
screenprint showing problem

Problem is still present in Lo 5.2.4.2 (Windows7), attachment shows it.
Comment 4 QA Administrators 2018-01-05 03:42:07 UTC Comment hidden (obsolete)
Comment 5 Winfried Donkers 2018-01-05 06:42:46 UTC
Problem is still present in version 5.4.4.2-64 (Windows 10).
Comment 6 Winfried Donkers 2018-01-05 15:04:14 UTC
(In reply to Winfried Donkers from comment #5)
> Problem is still present in version 5.4.4.2-64 (Windows 10).

And on master (version 6.1, openSUSE), too.
Comment 7 QA Administrators 2019-01-06 04:19:22 UTC Comment hidden (obsolete)
Comment 8 Winfried Donkers 2019-01-06 09:36:12 UTC
Problem is still present in version 6.1.3.2-64 (openSUSE Leap 15.0) as well as on  master (6.3.0.0-alpha0+, openSUSE Leap15.0).
Comment 9 QA Administrators 2021-08-27 04:05:11 UTC
Dear Winfried Donkers,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug